# MPI_Info_delete

Deletes a (key,value) pair from info

## Synopsis

    #include "mpi.h"
    int MPI_Info_delete(MPI_Info info, char *key)

## Input Parameters

| info | info object (handle)
| key | key (string)

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

Location:info_delete.c